API Reference

Retrieve Order

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Overview

The Retrieve Order API lets you pull data on your order to stay up to date. To receive updates on your order in real-time, check out Order Status Webhook >

How to Test

Email [email protected] for access to our QA environment, then send your requests to the QA host with your QA API key. Test environment >

POST https://api.planomatic.com/api/v3/orders/retrieve      # Production
POST https://api.qa.planomatic.com/api/v3/orders/retrieve   # QA
Body Params
string
required
Defaults to y0Ur-AP1-k3y

Integration api token. Learn more

integer
Defaults to 654321

The unique identifier of the order being retrieved (the order's order_id). Either order_id or request_id is required. If both are sent, request_id takes precedence. The id is resolved against the order's primary id first; if your integration is not authorized for that record, it is re-resolved against the legacy legacy_order_id (olio id).

integer
Defaults to 654321

Alternative order identifier. Either order_id or request_id is required; when both are provided, request_id takes precedence over order_id.

Response

Language
LoadingLoading…
Response
Choose an example:
application/json